Commit 564a8e07 authored by Klaus Aehlig's avatar Klaus Aehlig

Add a flag --developer-mode

So that we can have fatal warnings in development, but
people can still build old Ganeti versions with newer
compilers despite some functions are deprecated by now.
Signed-off-by: default avatarKlaus Aehlig <aehlig@google.com>
Reviewed-by: default avatarHelga Velroyen <helgav@google.com>
parent b62dabce
......@@ -28,6 +28,22 @@ AC_SUBST([BINDIR], $bindir)
AC_SUBST([SBINDIR], $sbindir)
AC_SUBST([MANDIR], $mandir)
# --enable-developer-mode
AC_ARG_ENABLE([developer-mode],
[AS_HELP_STRING([--enable-developer-mode],
m4_normalize([do a developper build with additional
checks and fatal warnings]))],
[[if test "$enableval" != no; then
DEVELOPER_MODE=yes
else
DEVELOPER_MODE=no
fi
]],
[DEVELOPER_MODE=no
])
AC_SUBST(DEVELOPER_MODE, $DEVELOPER_MODE)
AM_CONDITIONAL([DEVELOPER_MODE], [test "$DEVELOPER_MODE" = yes])
# --enable-versionfull
AC_ARG_ENABLE([versionfull],
[AS_HELP_STRING([--enable-versionfull],
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment